com.microfocus.zserver.zexplorer.model

## Class MvsDatasetMember

- java.lang.Object
- - AbstractResource
  - - com.microfocus.zserver.zexplorer.model.MvsResource
    - - com.microfocus.zserver.zexplorer.model.MvsDatasetMember

- All Implemented Interfaces:
    ISavableResource

      public class MvsDatasetMember
      extends MvsResource

  Represents a MVS data set member.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsDatasetMember(IMvsDataset pDataset, java.lang.String pMemberName)` Creates a new `MvsDatasetMember` 'reference' on the client.
    `MvsDatasetMember(MvsDataset pDataset, DatasetMemberAttributes pMemberAttributes)` Creates a new `MvsDatasetMember` 'reference' on the client.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBrowse()`
    `boolean` | `canEdit()`
    `java.lang.String` | `delete(org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `java.lang.String` | `duplicate(java.lang.String pNewName, boolean pRepl)`
    `java.util.Date` | `getChangeDate()`
    `java.lang.String` | `getChangeUserId()`
    `java.util.Date` | `getCreateDate()`
    `IMvsDataset` | `getDataset()`
    `DatasetMemberAttributes` | `getFileAttributes()`
    `java.lang.String` | `getFullQualifiedName()`
    `java.lang.String` | `getInitialSize()` Gets the initial size of the member.
    `java.lang.String` | `getModificationNumber()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getSize()`
    `java.lang.String` | `getSuffix()`
    `java.lang.String` | `getVersionNumber()`
    `boolean` | `isLoadModule()`
    `void` | `rename(java.lang.String pName, org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `void` | `setChangeDate(java.util.Date pChangeDate)` Sets the change date member statistic.
    `void` | `setChangeUserID(java.lang.String pChangeUid)` Sets the change user ID member statistic.
    `void` | `setCreateDate(java.util.Date pCreateDate)` Sets the creation date member statistic.
    `void` | `setInitialSize(java.lang.String pISize)` Sets the change time member statistic.
    `void` | `setModificationNumber(java.lang.String pModificationNumber)` Sets the modification number member statistic.
    `void` | `setSize(java.lang.String pSize)` Sets the size member statistic.
    `void` | `setSuffix(java.lang.String pSuffix)`
    `void` | `setVersionNumber(java.lang.String pVersionNumber)` Sets the version number member statistic.

    - ### Methods inherited from class com.microfocus.zserver.zexplorer.model.MvsResource

      `getAbsoluteName, getContents, getSubSystem, getSystemImage, hasSuffix, refresh, save, unlock`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MvsDatasetMember

          public MvsDatasetMember(IMvsDataset pDataset,
                                  java.lang.String pMemberName)

      Creates a new `MvsDatasetMember` 'reference' on the client. Does not physically create a new member.
      Parameters:
        `pDataset` - the data set which contains the member
        `pMemberName` - the member name

    - #### MvsDatasetMember

          public MvsDatasetMember(MvsDataset pDataset,
                                  DatasetMemberAttributes pMemberAttributes)

      Creates a new `MvsDatasetMember` 'reference' on the client. Does not physically create a new member.
      Parameters:
        `pDataset` - the data set which contains the member
        `pMemberAttributes` - the data set member attributes

  - ### Method Detail

    - #### getDataset

          public IMvsDataset getDataset()

    - #### getChangeUserId

          public java.lang.String getChangeUserId()

    - #### getSize

          public java.lang.String getSize()

    - #### getCreateDate

          public java.util.Date getCreateDate()

    - #### getChangeDate

          public java.util.Date getChangeDate()

    - #### getVersionNumber

          public java.lang.String getVersionNumber()

    - #### getModificationNumber

          public java.lang.String getModificationNumber()

    - #### getFullQualifiedName

          public java.lang.String getFullQualifiedName()

    - #### delete

          public java.lang.String delete(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### rename

          public void rename(java.lang.String pName,
                             org.eclipse.core.runtime.IProgressMonitor pMonitor)
                      throws java.io.IOException

      Overrides:
        `rename` in class `MvsResource`
      Throws:
        `java.io.IOException`

    - #### duplicate

          public java.lang.String duplicate(java.lang.String pNewName,
                                            boolean pRepl)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### canBrowse

          public boolean canBrowse()

    - #### canEdit

          public boolean canEdit()

    - #### isLoadModule

          public boolean isLoadModule()

    - #### setChangeUserID

          public void setChangeUserID(java.lang.String pChangeUid)

      Sets the change user ID member statistic.
      Parameters:
        `pChangeUid` - the new change user ID

    - #### setSize

          public void setSize(java.lang.String pSize)

      Sets the size member statistic.
      Parameters:
        `pSize` - the new size

    - #### setCreateDate

          public void setCreateDate(java.util.Date pCreateDate)

      Sets the creation date member statistic.
      Parameters:
        `pCreateDate` - the new creation date

    - #### setChangeDate

          public void setChangeDate(java.util.Date pChangeDate)

      Sets the change date member statistic.
      Parameters:
        `pChangeDate` - the new change date

    - #### setVersionNumber

          public void setVersionNumber(java.lang.String pVersionNumber)

      Sets the version number member statistic.
      Parameters:
        `pVersionNumber` - the new version number

    - #### setModificationNumber

          public void setModificationNumber(java.lang.String pModificationNumber)

      Sets the modification number member statistic.
      Parameters:
        `pModificationNumber` - the new modification number

    - #### setInitialSize

          public void setInitialSize(java.lang.String pISize)

      Sets the change time member statistic.
      Parameters:
        `pISize` - the new initial size

    - #### getInitialSize

          public java.lang.String getInitialSize()

      Gets the initial size of the member.
      Returns:
        the initial size

    - #### getName

          public java.lang.String getName()

      Returns:
        an unambiguous name for the resource

    - #### setSuffix

          public void setSuffix(java.lang.String pSuffix)

    - #### getSuffix

          public java.lang.String getSuffix()

    - #### getFileAttributes

          public DatasetMemberAttributes getFileAttributes()

Copyright © 2015 Micro Focus GmbH. All rights reserved.